fcf.module({
  name: "fcfManagement:templates/pages/development/tabs/debug.wrapper.js",
  dependencies: ["fcf:NClient/Wrapper.js"],
  module: function(Wrapper){
    return class WrapperEx extends Wrapper{
      
      constructor(a_initializeOptions){
        super(a_initializeOptions);
      }

      onDebugMode(a_event, a_wrapper){
        fcf.getContext().set("debug", a_wrapper.getArg("value"));
        fcf.saveContext();
        this.update();
      }

    };
  }
});
